package com.mortals.xhx.module.scheduled.model;

import java.util.List;
import com.mortals.xhx.module.scheduled.model.ScheduledTaskEntity;
/**
* 数据定时查探查询对象
*
* @author zxfei
* @date 2023-07-15
*/
public class ScheduledTaskQuery extends ScheduledTaskEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 任务名称 */
    private List<String> taskNameList;

    /** 任务名称排除列表 */
    private List <String> taskNameNotList;
    /** 任务描述 */
    private List<String> taskDescriptionList;

    /** 任务描述排除列表 */
    private List <String> taskDescriptionNotList;
    /** 数据源名称 */
    private List<String> dataSourceNameList;

    /** 数据源名称排除列表 */
    private List <String> dataSourceNameNotList;
    /** 源表 */
    private List<String> sourceTableList;

    /** 源表排除列表 */
    private List <String> sourceTableNotList;
    /** 依据字段 */
    private List<String> sourceFieldList;

    /** 依据字段排除列表 */
    private List <String> sourceFieldNotList;
    /** 定时类型(1.年,2.月,3.日) */
    private List<String> typeList;

    /** 定时类型(1.年,2.月,3.日)排除列表 */
    private List <String> typeNotList;
    /** 开始时间 */
    private List<String> startTimeList;

    /** 开始时间排除列表 */
    private List <String> startTimeNotList;
    /** 结束时间 */
    private List<String> endTimeList;

    /** 结束时间排除列表 */
    private List <String> endTimeNotList;
    /** 任务状态(0.新建,1.执行中,2.执行成功,3.执行失败) */
    private List<String> statusesList;

    /** 任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)排除列表 */
    private List <String> statusesNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ScheduledTaskQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ScheduledTaskQuery> andConditionList;

    public ScheduledTaskQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 任务名称
    * @return taskNameList
    */
    public List<String> getTaskNameList(){
        return this.taskNameList;
    }

    /**
    * 设置 任务名称
    * @param taskNameList
    */
    public void setTaskNameList(List<String> taskNameList){
        this.taskNameList = taskNameList;
    }

    /**
    * 获取 任务名称
    * @return taskNameNotList
    */
    public List<String> getTaskNameNotList(){
        return this.taskNameNotList;
    }

    /**
    * 设置 任务名称
    * @param taskNameNotList
    */
    public void setTaskNameNotList(List<String> taskNameNotList){
        this.taskNameNotList = taskNameNotList;
    }

    /**
    * 获取 任务描述
    * @return taskDescriptionList
    */
    public List<String> getTaskDescriptionList(){
        return this.taskDescriptionList;
    }

    /**
    * 设置 任务描述
    * @param taskDescriptionList
    */
    public void setTaskDescriptionList(List<String> taskDescriptionList){
        this.taskDescriptionList = taskDescriptionList;
    }

    /**
    * 获取 任务描述
    * @return taskDescriptionNotList
    */
    public List<String> getTaskDescriptionNotList(){
        return this.taskDescriptionNotList;
    }

    /**
    * 设置 任务描述
    * @param taskDescriptionNotList
    */
    public void setTaskDescriptionNotList(List<String> taskDescriptionNotList){
        this.taskDescriptionNotList = taskDescriptionNotList;
    }

    /**
    * 获取 数据源名称
    * @return dataSourceNameList
    */
    public List<String> getDataSourceNameList(){
        return this.dataSourceNameList;
    }

    /**
    * 设置 数据源名称
    * @param dataSourceNameList
    */
    public void setDataSourceNameList(List<String> dataSourceNameList){
        this.dataSourceNameList = dataSourceNameList;
    }

    /**
    * 获取 数据源名称
    * @return dataSourceNameNotList
    */
    public List<String> getDataSourceNameNotList(){
        return this.dataSourceNameNotList;
    }

    /**
    * 设置 数据源名称
    * @param dataSourceNameNotList
    */
    public void setDataSourceNameNotList(List<String> dataSourceNameNotList){
        this.dataSourceNameNotList = dataSourceNameNotList;
    }

    /**
    * 获取 源表
    * @return sourceTableList
    */
    public List<String> getSourceTableList(){
        return this.sourceTableList;
    }

    /**
    * 设置 源表
    * @param sourceTableList
    */
    public void setSourceTableList(List<String> sourceTableList){
        this.sourceTableList = sourceTableList;
    }

    /**
    * 获取 源表
    * @return sourceTableNotList
    */
    public List<String> getSourceTableNotList(){
        return this.sourceTableNotList;
    }

    /**
    * 设置 源表
    * @param sourceTableNotList
    */
    public void setSourceTableNotList(List<String> sourceTableNotList){
        this.sourceTableNotList = sourceTableNotList;
    }

    /**
    * 获取 依据字段
    * @return sourceFieldList
    */
    public List<String> getSourceFieldList(){
        return this.sourceFieldList;
    }

    /**
    * 设置 依据字段
    * @param sourceFieldList
    */
    public void setSourceFieldList(List<String> sourceFieldList){
        this.sourceFieldList = sourceFieldList;
    }

    /**
    * 获取 依据字段
    * @return sourceFieldNotList
    */
    public List<String> getSourceFieldNotList(){
        return this.sourceFieldNotList;
    }

    /**
    * 设置 依据字段
    * @param sourceFieldNotList
    */
    public void setSourceFieldNotList(List<String> sourceFieldNotList){
        this.sourceFieldNotList = sourceFieldNotList;
    }

    /**
    * 获取 定时类型(1.年,2.月,3.日)
    * @return typeList
    */
    public List<String> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 定时类型(1.年,2.月,3.日)
    * @param typeList
    */
    public void setTypeList(List<String> typeList){
        this.typeList = typeList;
    }

    /**
    * 获取 定时类型(1.年,2.月,3.日)
    * @return typeNotList
    */
    public List<String> getTypeNotList(){
        return this.typeNotList;
    }

    /**
    * 设置 定时类型(1.年,2.月,3.日)
    * @param typeNotList
    */
    public void setTypeNotList(List<String> typeNotList){
        this.typeNotList = typeNotList;
    }

    /**
    * 获取 开始时间
    * @return startTimeList
    */
    public List<String> getStartTimeList(){
        return this.startTimeList;
    }

    /**
    * 设置 开始时间
    * @param startTimeList
    */
    public void setStartTimeList(List<String> startTimeList){
        this.startTimeList = startTimeList;
    }

    /**
    * 获取 开始时间
    * @return startTimeNotList
    */
    public List<String> getStartTimeNotList(){
        return this.startTimeNotList;
    }

    /**
    * 设置 开始时间
    * @param startTimeNotList
    */
    public void setStartTimeNotList(List<String> startTimeNotList){
        this.startTimeNotList = startTimeNotList;
    }

    /**
    * 获取 结束时间
    * @return endTimeList
    */
    public List<String> getEndTimeList(){
        return this.endTimeList;
    }

    /**
    * 设置 结束时间
    * @param endTimeList
    */
    public void setEndTimeList(List<String> endTimeList){
        this.endTimeList = endTimeList;
    }

    /**
    * 获取 结束时间
    * @return endTimeNotList
    */
    public List<String> getEndTimeNotList(){
        return this.endTimeNotList;
    }

    /**
    * 设置 结束时间
    * @param endTimeNotList
    */
    public void setEndTimeNotList(List<String> endTimeNotList){
        this.endTimeNotList = endTimeNotList;
    }

    /**
    * 获取 任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)
    * @return statusesList
    */
    public List<String> getStatusesList(){
        return this.statusesList;
    }

    /**
    * 设置 任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)
    * @param statusesList
    */
    public void setStatusesList(List<String> statusesList){
        this.statusesList = statusesList;
    }

    /**
    * 获取 任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)
    * @return statusesNotList
    */
    public List<String> getStatusesNotList(){
        return this.statusesNotList;
    }

    /**
    * 设置 任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)
    * @param statusesNotList
    */
    public void setStatusesNotList(List<String> statusesNotList){
        this.statusesNotList = statusesNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ScheduledTaskQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ScheduledTaskQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ScheduledTaskQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ScheduledTaskQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ScheduledTaskQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public ScheduledTaskQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 任务名称
    * @param taskName
    */
    public ScheduledTaskQuery taskName(String taskName){
        setTaskName(taskName);
		return this;
    }

    /**
    * 设置 任务名称
    * @param taskNameList
    */
    public ScheduledTaskQuery taskNameList(List<String> taskNameList){
        this.taskNameList = taskNameList;
		return this;
    }


	/**
    * 设置 任务描述
    * @param taskDescription
    */
    public ScheduledTaskQuery taskDescription(String taskDescription){
        setTaskDescription(taskDescription);
		return this;
    }

    /**
    * 设置 任务描述
    * @param taskDescriptionList
    */
    public ScheduledTaskQuery taskDescriptionList(List<String> taskDescriptionList){
        this.taskDescriptionList = taskDescriptionList;
		return this;
    }


	/**
    * 设置 数据源名称
    * @param dataSourceName
    */
    public ScheduledTaskQuery dataSourceName(String dataSourceName){
        setDataSourceName(dataSourceName);
		return this;
    }

    /**
    * 设置 数据源名称
    * @param dataSourceNameList
    */
    public ScheduledTaskQuery dataSourceNameList(List<String> dataSourceNameList){
        this.dataSourceNameList = dataSourceNameList;
		return this;
    }


	/**
    * 设置 源表
    * @param sourceTable
    */
    public ScheduledTaskQuery sourceTable(String sourceTable){
        setSourceTable(sourceTable);
		return this;
    }

    /**
    * 设置 源表
    * @param sourceTableList
    */
    public ScheduledTaskQuery sourceTableList(List<String> sourceTableList){
        this.sourceTableList = sourceTableList;
		return this;
    }


	/**
    * 设置 依据字段
    * @param sourceField
    */
    public ScheduledTaskQuery sourceField(String sourceField){
        setSourceField(sourceField);
		return this;
    }

    /**
    * 设置 依据字段
    * @param sourceFieldList
    */
    public ScheduledTaskQuery sourceFieldList(List<String> sourceFieldList){
        this.sourceFieldList = sourceFieldList;
		return this;
    }


	/**
    * 设置 定时类型(1.年,2.月,3.日)
    * @param type
    */
    public ScheduledTaskQuery type(String type){
        setType(type);
		return this;
    }

    /**
    * 设置 定时类型(1.年,2.月,3.日)
    * @param typeList
    */
    public ScheduledTaskQuery typeList(List<String> typeList){
        this.typeList = typeList;
		return this;
    }


	/**
    * 设置 开始时间
    * @param startTime
    */
    public ScheduledTaskQuery startTime(String startTime){
        setStartTime(startTime);
		return this;
    }

    /**
    * 设置 开始时间
    * @param startTimeList
    */
    public ScheduledTaskQuery startTimeList(List<String> startTimeList){
        this.startTimeList = startTimeList;
		return this;
    }


	/**
    * 设置 结束时间
    * @param endTime
    */
    public ScheduledTaskQuery endTime(String endTime){
        setEndTime(endTime);
		return this;
    }

    /**
    * 设置 结束时间
    * @param endTimeList
    */
    public ScheduledTaskQuery endTimeList(List<String> endTimeList){
        this.endTimeList = endTimeList;
		return this;
    }


	/**
    * 设置 任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)
    * @param statuses
    */
    public ScheduledTaskQuery statuses(String statuses){
        setStatuses(statuses);
		return this;
    }

    /**
    * 设置 任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)
    * @param statusesList
    */
    public ScheduledTaskQuery statusesList(List<String> statusesList){
        this.statusesList = statusesList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public ScheduledTaskQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public ScheduledTaskQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public ScheduledTaskQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public ScheduledTaskQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public ScheduledTaskQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public ScheduledTaskQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public ScheduledTaskQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public ScheduledTaskQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public ScheduledTaskQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public ScheduledTaskQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public ScheduledTaskQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public ScheduledTaskQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public ScheduledTaskQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public ScheduledTaskQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ScheduledTaskQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ScheduledTaskQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ScheduledTaskQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ScheduledTaskQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}